﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace VSS2XGUI
{
    /// <summary>
    /// Interaction logic for ColumnConfig.xaml
    /// </summary>
    public partial class ColumnConfig : Window
    {
        protected ObservableCollection<CColumnProperty> mColumnsMetaData;
        protected ObservableCollection<CColumnProperty> mOrigColumnsMetaData = new ObservableCollection<CColumnProperty>();


        public ColumnConfig(ObservableCollection<CColumnProperty> ColumnsMetaData)
        {
            InitializeComponent();

            mColumnsMetaData = ColumnsMetaData;
            listViewColumnProps.ItemsSource = ColumnsMetaData;

            foreach (CColumnProperty ColumnProperty in mColumnsMetaData)
            {
                mOrigColumnsMetaData.Add((CColumnProperty)ColumnProperty.Clone());
            }

        }

        private void buttonOk_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = true;
        }

        private void buttonCancel_Click(object sender, RoutedEventArgs e)
        {
            // We discard changes
            mColumnsMetaData.Clear();
            foreach (CColumnProperty ColumnProperty in mOrigColumnsMetaData)
            {
                mColumnsMetaData.Add(ColumnProperty);
            }


            DialogResult = false;
        }
    }
}
